=== added directory 'account_tax_expense_include'
=== added file 'account_tax_expense_include/__init__.py'
--- account_tax_expense_include/__init__.py	1970-01-01 00:00:00 +0000
+++ account_tax_expense_include/__init__.py	2011-01-25 16:46:58 +0000
@@ -0,0 +1,23 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#    
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2010 Savoir-faire Linux (<http://www.savoirfairelinux.com>).
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.     
+#
+##############################################################################
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
+
+import account_tax_expense_include

=== added file 'account_tax_expense_include/__openerp__.py'
--- account_tax_expense_include/__openerp__.py	1970-01-01 00:00:00 +0000
+++ account_tax_expense_include/__openerp__.py	2011-01-25 16:46:58 +0000
@@ -0,0 +1,43 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#    
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2010 Savoir-faire Linux (<http://www.savoirfairelinux.com>).
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.     
+#
+##############################################################################
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
+
+{
+    "name" : "Taxes included in expense",
+    "version" : "1.0",
+    "author" : "Savoir-faire Linux",
+    "category" : "Account",
+    "website": "http://wwww.savoirfairelinux.com",
+    "license": "GPL-3",
+    "description": """
+        This module adds a checkbox to tax to include tax in expense invoices.
+        It is useful if your taxes are not included in the price, but you
+        want to ease the life of your employees by allowing them to enter 
+        their expenses with the taxes included.
+    """,
+    "depends" : ["base", "account"],
+    "init_xml" : [],
+    "update_xml" : [
+        "account_tax_expense_include_view.xml"
+    ],
+    "active": False,
+    "installable": True
+}

=== added file 'account_tax_expense_include/account_tax_expense_include.py'
--- account_tax_expense_include/account_tax_expense_include.py	1970-01-01 00:00:00 +0000
+++ account_tax_expense_include/account_tax_expense_include.py	2011-01-25 16:46:58 +0000
@@ -0,0 +1,68 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#    
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2010 Savoir-faire Linux (<http://www.savoirfairelinux.com>).
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.     
+#
+##############################################################################
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
+
+from osv import osv, fields
+ 
+class account_tax(osv.osv):
+    _inherit = 'account.tax'
+    _columns = {
+        'expense_include': fields.boolean('Tax Included in Expense',
+                                          help="Check this if this tax is \
+                                            included in the expense amount."),
+    }
+
+    def compute_all(self, cr, uid, taxes, price_unit, quantity, address_id=None, product=None, partner=None):
+        """
+        RETURN: {
+                'total': 0.0,                # Total without taxes
+                'total_included: 0.0,        # Total with taxes
+                'taxes': []                  # List of taxes, see compute for the format
+            }
+        """
+        precision = self.pool.get('decimal.precision').precision_get(cr, uid, 'Account')
+        totalin = totalex = round(price_unit * quantity, precision)
+        tin = []
+        tex = []
+        for tax in taxes:
+            if (partner.employee and tax.expense_include) or tax.price_include:
+                tin.append(tax)
+            else:
+                tex.append(tax)
+        tin = self.compute_inv(cr, uid, tin, price_unit, quantity, address_id=address_id, product=product, partner=partner)
+        for r in tin:
+            totalex -= r.get('amount', 0.0)
+        totlex_qty = 0.0
+        try:
+            totlex_qty=totalex/quantity
+        except:
+            pass
+        tex = self._compute(cr, uid, tex, totlex_qty, quantity, address_id=address_id, product=product, partner=partner)
+        for r in tex:
+            totalin += r.get('amount', 0.0)
+        return {
+            'total': totalex,
+            'total_included': totalin,
+            'taxes': tin + tex
+        }
+
+
+account_tax()

=== added file 'account_tax_expense_include/account_tax_expense_include_view.xml'
--- account_tax_expense_include/account_tax_expense_include_view.xml	1970-01-01 00:00:00 +0000
+++ account_tax_expense_include/account_tax_expense_include_view.xml	2011-01-25 16:46:58 +0000
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+
+        <record id="view_tax_form" model="ir.ui.view">
+            <field name="name">account.tax.form.expense_include</field>
+            <field name="model">account.tax</field>
+            <field name="inherit_id" ref="account.view_tax_form"/>
+            <field name="type">form</field>
+            <field name="arch" type="xml">
+                 <field position="after" name="price_include" >
+                    <field name="expense_include"/>
+                 </field>
+            </field>
+        </record>
+
+       <record id="view_partner_form" model="ir.ui.view">
+            <field name="name">res.partner.form.expense_include</field>
+            <field name="model">res.partner</field>
+            <field name="inherit_id" ref="base.view_partner_form"/>
+            <field name="arch" type="xml">
+                 <field name="supplier" position="after" >
+                      <field name="employee"/>
+                 </field>
+            </field>
+        </record>
+
+    </data>
+</openerp>
+

